import 'package:prompter_elhe/src/terminal.dart';

import 'option.dart';

final Terminal _terminal = const Terminal();

class Prompter {
  bool askBinary({String prompt}) {
    final input = _ask(prompt: "$prompt (y/n)", options: []);
    return input.contains("y");
  }

  askMultiple({String prompt, List<Option> options}) {
    final input = _ask(prompt: prompt, options: options);

    try {
      return options[int.parse(input)].value;
    } catch (e) {
      return askMultiple(prompt: prompt, options: options);
    }
  }

  String _ask({String prompt, List<Option> options}) {
    _terminal.clearScreen();
    _terminal.printPrompt(prompt);
    _terminal.printOptions(options);

    return _terminal.collectInput();
  }
}
